libzmf::ZMF4Header Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libzmf::ZMF4Header Class Reference

`#include <ZMF4Header.h>`

## Public Member Functions
| ZMF4Header ()
bool | load (const RVNGInputStreamPtr &input)
bool | isSupported () const
uint32_t | objectCount () const
uint32_t | startContentOffset () const
uint32_t | startBitmapOffset () const

## Private Member Functions
bool | checkSignature () const

## Private Attributes
uint32_t | m_signature
uint32_t | m_objectCount
uint32_t | m_startContentOffset
uint32_t | m_startBitmapOffset

## Constructor & Destructor Documentation

## ◆ ZMF4Header()

libzmf::ZMF4Header::ZMF4Header | ( |  | ) |

## Member Function Documentation

## ◆ checkSignature()

bool libzmf::ZMF4Header::checkSignature | ( |  | ) | const
| private

Referenced by isSupported(), and load().

## ◆ isSupported()

bool libzmf::ZMF4Header::isSupported | ( |  | ) | const

Referenced by libzmf::ZMF4Parser::parse().

## ◆ load()

bool libzmf::ZMF4Header::load | ( | const RVNGInputStreamPtr & | input | ) |

Referenced by libzmf::ZMF4Parser::parse().

## ◆ objectCount()

uint32_t libzmf::ZMF4Header::objectCount | ( |  | ) | const

## ◆ startBitmapOffset()

uint32_t libzmf::ZMF4Header::startBitmapOffset | ( |  | ) | const

Referenced by libzmf::ZMF4Parser::parse().

## ◆ startContentOffset()

uint32_t libzmf::ZMF4Header::startContentOffset | ( |  | ) | const

Referenced by libzmf::ZMF4Parser::parse().

## Member Data Documentation

## ◆ m_objectCount

uint32_t libzmf::ZMF4Header::m_objectCount
| private

Referenced by load(), and objectCount().

## ◆ m_signature

uint32_t libzmf::ZMF4Header::m_signature
| private

Referenced by checkSignature(), and load().

## ◆ m_startBitmapOffset

uint32_t libzmf::ZMF4Header::m_startBitmapOffset
| private

Referenced by load(), and startBitmapOffset().

## ◆ m_startContentOffset

uint32_t libzmf::ZMF4Header::m_startContentOffset
| private

Referenced by load(), and startContentOffset().

The documentation for this class was generated from the following files:

- ZMF4Header.h
- ZMF4Header.cpp